Get Node Libraries
curl --request GET \
--url https://api-prod.interactly.ai/workflows/v1/node-libraries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/workflows/v1/node-libraries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/workflows/v1/node-libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"node_libraries": [
{
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"node_library_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"nodes": [
"<string>"
],
"access_level": "personal",
"access_list": [
"<string>"
]
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Node Libraries
Get Node Libraries
Endpoint to retrieve all node libraries.
GET
/
workflows
/
v1
/
node-libraries
Get Node Libraries
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
Access level filter for the node library. Use 'all' to retrieve all nodes regardless of access level. Enum representing different access control levels.
Available options:
personal, team, system